package main

/*
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	log "go.wit.com/log"
)

var NOW *log.LogFlag
var INFO *log.LogFlag

var WARN *log.LogFlag

var ERROR *log.LogFlag
var ANDLABS *log.LogFlag

func init() {
	full := "go.wit.com/toolkits/andlabs"
	short := "andlabs"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "normal debugging stuff")

	WARN = log.NewFlag("WARN", true, full, short, "bad things")

	full = "go.wit.com/gui"
	short = "andlabs"
	ERROR = log.NewFlag("ERROR", false, full, short, "andlab toolkit errors")
	ANDLABS = log.NewFlag("ANDLABS", false, full, short, "andlabs specific stuff")
}
